#include "vision.h"

std::vector<int> getVisionPattern1d()
{
    return {1, 2, 3, 4, 5};
}

int getMove1d(std::vector<int> v)
{
    int st = v[0];
    if((st + 1) % 6 + 1 == v[1])return v.size()-1;
    else return 0;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
